Comment on Versions

daijdjan:

You have no clue what you're talking about. SVN is backwards compatible. SVN 1.5 clients will work fine with 1.4 servers, I know because I've been using an SVN 1.5 client at work. You just won't be able to use the new merge tracking feature, and probably a couple other new features.

And titaniumdecoy: you're right, Versions isn't the only GUI based SVN app for Mac, but it is by far the most intuitive as far as the user interface. The rest are garbage.